"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var core_1 = require('@angular/core');
var forms_1 = require('@angular/forms');
var ui_model_1 = require('ui-model');
var RADIO_GROUP_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return RadioGroupComponent; }),
    multi: true,
};
var RadioGroupComponent = (function (_super) {
    __extends(RadioGroupComponent, _super);
    function RadioGroupComponent() {
        _super.call(this);
    }
    RadioGroupComponent.prototype.changed = function () {
        _super.prototype.changed.call(this);
        if (this.onChange) {
            this.onChange(this.selection);
        }
        this.touched();
    };
    RadioGroupComponent.prototype.touched = function () {
        if (this.onTouched) {
            this.onTouched();
        }
    };
    RadioGroupComponent.prototype.writeValue = function (value) {
        this.select(value);
    };
    RadioGroupComponent.prototype.registerOnChange = function (fn) {
        this.onChange = fn;
    };
    RadioGroupComponent.prototype.registerOnTouched = function (fn) {
        this.onTouched = fn;
    };
    RadioGroupComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-radio-group',
                    templateUrl: 'radio-group.component.html',
                    styleUrls: ['radio-group.component.scss'],
                    providers: [RADIO_GROUP_VALUE_ACCESSOR]
                },] },
    ];
    /** @nocollapse */
    RadioGroupComponent.ctorParameters = function () { return []; };
    RadioGroupComponent.propDecorators = {
        'options': [{ type: core_1.Input },],
    };
    return RadioGroupComponent;
}(ui_model_1.Select));
exports.RadioGroupComponent = RadioGroupComponent;
//# sourceMappingURL=radio-group.component.js.map